Subject: Re: [rrg] Terminology: word-smithing

From: [email-masked] (Noel Chiappa)
Date: Sat, 28 Mar 2009 21:10:19 -0400 (EDT)

> From: Tony Li <[email-masked]>

    > Or, perhaps we just make it more explicit that an identifier is a name
    > that has no topological semantics and remove the object reference
    > entirely? This would bring it back in line with the more generic meaning.

Works for me.

    >> there's another important property, which is the _lifetime_ of [the]
    >> name. Presumably one property of an [identifier] is that it should
    > be permanent?

    > Ok, but we already know that some people, for the sake of privacy, want
    > to have temporary identifiers.

Good point. So, we can either have 'permanent identifiers' and 'temporary
identifiers'; or 'identifiers' and 'temporary identifiers' (i.e. the default
lifetime is 'permanent', and if you want non-permanent, you have to say so).
I'd go with the second, since I think that's probably the most useful, but I
could live with either.

	Noel